package com.mosty.base.manager.service;

import com.mosty.base.model.entity.jcgl.TbSbGzjr;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbSbGzjrService {

    @ApiOperation("添加感知接入")
    String addEntity(TbSbGzjr gzjr);

    @ApiOperation("修改感知接入")
    int editEntity(TbSbGzjr gzjr);

    @ApiOperation("批量删除感知接入")
    void deleteEntity(List<String> ids);

    @ApiOperation("查询感知接入列表")
    List<TbSbGzjr> getList(TbSbGzjr gzjr);

    @ApiOperation("查询感知接入详情")
    TbSbGzjr getInfo(String id);

    @ApiOperation("取消接入")
    int qxjr(TbSbGzjr dto);


}
